This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315224 - router port fixed IP is not shown in port detail
router port fixed IP is not shown in port detail
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: async
: 8.0 (Liberty)
Assigned To: Itxaka
Ido Ovadia
: TestOnly, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 04:46 EST by Martin Pavlásek
Modified: 2016-06-24 15:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-django-horizon-8.0.1-3.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-24 15:34:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1537843 None None None 2016-03-07 05:02 EST
OpenStack gerrit 272205 None None None 2016-04-07 04:37 EDT

  None (edit)
Description Martin Pavlásek 2016-03-07 04:46:53 EST
Description of problem:
Fixed IP shown in list of ports of router differs with the same attribute in router detail.


Version-Release number of selected component (if applicable):
RHEL 7.2
python-django-horizon-8.0.1-1.el7ost.noarch
openstack-dashboard-8.0.1-1.el7ost.noarch
openstack-packstack-puppet-7.0.0-0.12.dev1699.g8f54936.el7ost.noarch
openstack-neutron-common-7.0.1-10.el7ost.noarch
openstack-neutron-ml2-7.0.1-10.el7ost.noarch
openstack-neutron-7.0.1-10.el7ost.noarch

How reproducible:
100%


Steps to Reproduce:
Log in as demo user.
1. Project - Network - Networks - Create Network
2. network "test_net", subnet "test_subnet", network address 10.0.0.0/24, IPv4, gateway IP 10.0.0.1, Next, leave Allocation Pools unchanged
3. navigate to Network Detail test_net
4. table with list of ports contains one line with 'network:dhcp' as Attached Device

Actual results:
In list of all ports there is Fixed IP i.e. 10.0.0.2, but in detail of the port there is Fixed IP as 'None'

Expected results:
Fixed IP shown in list of all ports have to correlate with Fixed IP in detail
Comment 2 Itxaka 2016-04-07 04:37:03 EDT
As liberty upstream is security/critical only, I will do the patch downstream to rhos8
Comment 3 Itxaka 2016-04-07 06:25:01 EDT
Seems that to port this downstream we would need at least one extra patch of 200+ lines first as a base.

https://review.openstack.org/#/c/212152/
Comment 5 Ido Ovadia 2016-06-22 12:34:05 EDT
Verified
========
python-django-horizon-8.0.1-4.el7ost.noarch
Comment 7 Lon Hohberger 2016-06-24 15:33:59 EDT
This is resolved by python-django-horizon-8.0.1-4.el7ost.noarch, available now.

Note You need to log in before you can comment on or make changes to this bug.